Ask Your Question

osyahoo2013's profile - activity

2015-02-26 23:18:24 -0600 received badge  Taxonomist
2015-02-18 12:59:33 -0600 received badge  Famous Question (source)
2015-02-18 12:59:33 -0600 received badge  Notable Question (source)
2015-02-18 12:59:33 -0600 received badge  Popular Question (source)
2014-06-18 06:56:01 -0600 received badge  Nice Question (source)
2013-12-03 13:53:01 -0600 received badge  Famous Question (source)
2013-11-11 04:53:00 -0600 received badge  Famous Question (source)
2013-09-11 11:30:35 -0600 received badge  Famous Question (source)
2013-08-20 11:12:29 -0600 received badge  Notable Question (source)
2013-08-12 22:13:49 -0600 received badge  Notable Question (source)
2013-08-07 03:28:12 -0600 received badge  Popular Question (source)
2013-08-01 12:52:36 -0600 asked a question When I use swift to perform a HEAD, I am getting 401 Unauthorized.

I am using tempauth on my proxy-server.conf and below is the config.

[filter:tempauth]
use = egg:swift#tempauth
user_admin_admin = admin .admin .reseller_admin
user_test_tester = testing .admin

command:
<swift -v -A http://ipaddress:8080/auth/v1.0 -U admin:admin -K admin stat> 

Respond:
<Account HEAD failed: http://ipaddress:8080/v1/AUTH_admin 401 Unauthorized>

am i missing something?

Thanks, Jimmy

2013-07-27 09:45:46 -0600 received badge  Famous Question (source)
2013-07-25 11:42:14 -0600 received badge  Famous Question (source)
2013-07-24 11:42:45 -0600 received badge  Popular Question (source)
2013-07-19 12:57:39 -0600 received badge  Notable Question (source)
2013-07-08 13:54:19 -0600 received badge  Popular Question (source)
2013-07-08 10:51:40 -0600 received badge  Notable Question (source)
2013-07-08 10:51:37 -0600 received badge  Notable Question (source)
2013-07-05 12:03:54 -0600 received badge  Nice Question (source)
2013-07-03 05:24:33 -0600 received badge  Popular Question (source)
2013-07-01 16:18:26 -0600 answered a question couldn't connect to host after setup swift

Hi Creiht,

Thanks for the respoind!

I finally got the services started but then when I test to run the curl command on locahost, I got below error. I saw that http or port 80 is listening by running <netstat -pl="">

[root@cleverloadgen11 swift]# cat proxy-server.conf [DEFAULT] bind_ip = 10.218.36.74 bind_port = 80 backlog = 4096 swift_dir = /etc/swift workers = 1 expiring_objects_container_divisor = 86400 user = swift cert_file = /etc/swift key_file = /etc/swift max_clients = 1024

+++

[root@loadgen11 swift]# curl http://localhost:80 curl: (7) couldn't connect to host [root@loadgen11 swift]#

+++

[root@loadgen11 swift]# netstat -pln | grep 80 tcp 0 0 10.0.0.74:80 0.0.0.0:* LISTEN 3255/python
[root@cleverloadgen11 swift]#

Thanks in advance for the help!

2013-07-01 16:16:14 -0600 commented answer couldn't connect to host after setup swift

Hi Creiht,

Thanks for the respond!

I finally got the services started but then when I test to run the curl command on locahost, I got below error. I saw that http or port 80 is listening by running <netstat -pl>.

2013-07-01 13:26:26 -0600 answered a question swift-init all start with error

I noticed my other storage nodes start the processes without the errors and I do not see object-expirer.conf in /etc/swift. After I removed /etc/swift/object-expirer.conf from the storage node with the error, I started up the processes without any error. My question is that - do i need to have /etc/swift/object-swift.conf for storage node?

[root@loadgen12 swift]# swift-init all start Starting container-updater...(/etc/swift/container-server.conf) Starting account-auditor...(/etc/swift/account-server.conf) Starting object-replicator...(/etc/swift/object-server.conf) Unable to locate config for proxy-server Starting container-replicator...(/etc/swift/container-server.conf) Starting object-auditor...(/etc/swift/object-server.conf) Unable to locate config for object-expirer Starting container-auditor...(/etc/swift/container-server.conf) Starting container-server...(/etc/swift/container-server.conf) Starting account-server...(/etc/swift/account-server.conf) Starting account-reaper...(/etc/swift/account-server.conf) Starting container-sync...(/etc/swift/container-server.conf) Starting account-replicator...(/etc/swift/account-server.conf) Starting object-updater...(/etc/swift/object-server.conf) Starting object-server...(/etc/swift/object-server.conf) [root@loadgen12 swift]#

2013-07-01 13:14:18 -0600 asked a question swift-init all start with error

hello swift guru,

i started the <swift init="" all="" start=""> and i am getting below error. can someone please help me? Much appreciated. This is from the storage node, not proxy node

[root@loadgen12 swift]# swift-init all start
Starting container-updater...(/etc/swift/container-server.conf)
Starting account-auditor...(/etc/swift/account-server.conf)
Starting object-replicator...(/etc/swift/object-server.conf)
Unable to locate config for proxy-server
Starting container-replicator...(/etc/swift/container-server.conf)
Starting object-auditor...(/etc/swift/object-server.conf)
Starting object-expirer...(/etc/swift/object-expirer.conf)
Starting container-auditor...(/etc/swift/container-server.conf)
Starting container-server...(/etc/swift/container-server.conf)
Starting account-server...(/etc/swift/account-server.conf)
Starting account-reaper...(/etc/swift/account-server.conf)
Starting container-sync...(/etc/swift/container-server.conf)
Starting account-replicator...(/etc/swift/account-server.conf)
Starting object-updater...(/etc/swift/object-server.conf)
Starting object-server...(/etc/swift/object-server.conf)
Traceback (most recent call last):
  File "/usr/bin/swift-object-expirer", line 24, in <module>
    run_daemon(ObjectExpirer, conf_file, **options)
  File "/usr/lib/python2.6/site-packages/swift/common/daemon.py", line 93, in run_daemon
    klass(conf).run(once=once, **kwargs)
  File "/usr/lib/python2.6/site-packages/swift/obj/expirer.py", line 53, in __init__
    request_tries)
  File "/usr/lib/python2.6/site-packages/swift/common/internal_client.py", line 118, in __init__
    self.app = loadapp('config:' + conf_path)
  File "/usr/lib/python2.6/site-packages/PasteDeploy-1.5.0-py2.6.egg/paste/deploy/loadwsgi.py", line 247, in loadapp
    return loadobj(APP, uri, name=name, **kw)
  File "/usr/lib/python2.6/site-packages/PasteDeploy-1.5.0-py2.6.egg/paste/deploy/loadwsgi.py", line 271, in loadobj
    global_conf=global_conf)
  File "/usr/lib/python2.6/site-packages/PasteDeploy-1.5.0-py2.6.egg/paste/deploy/loadwsgi.py", line 296, in loadcontext
    global_conf=global_conf)
  File "/usr/lib/python2.6/site-packages/PasteDeploy-1.5.0-py2.6.egg/paste/deploy/loadwsgi.py", line 320, in _loadconfig
    return loader.get_context(object_type, name, global_conf)
  File "/usr/lib/python2.6/site-packages/PasteDeploy-1.5.0-py2.6.egg/paste/deploy/loadwsgi.py", line 450, in get_context
    global_additions=global_additions)
  File "/usr/lib/python2.6/site-packages/PasteDeploy-1.5.0-py2.6.egg/paste/deploy/loadwsgi.py", line 559, in _pipeline_app_context
    APP, pipeline[-1], global_conf)
  File "/usr/lib/python2.6/site-packages/PasteDeploy-1.5.0-py2.6.egg/paste/deploy/loadwsgi.py", line 454, in get_context
    section)
  File "/usr/lib/python2.6/site-packages/PasteDeploy-1.5.0-py2.6.egg/paste/deploy/loadwsgi.py", line 476, in _context_from_use
    object_type, name=use, global_conf=global_conf)
  File "/usr/lib/python2.6/site-packages/PasteDeploy-1.5.0-py2.6.egg/paste/deploy/loadwsgi.py", line 406, in get_context
    global_conf=global_conf)
  File "/usr/lib/python2.6/site-packages/PasteDeploy-1.5.0-py2.6.egg/paste/deploy/loadwsgi.py", line 296, in loadcontext
    global_conf=global_conf)
  File "/usr/lib/python2.6/site-packages/PasteDeploy-1.5.0-py2.6.egg/paste/deploy/loadwsgi.py", line 328, in _loadegg
    return loader.get_context(object_type, name, global_conf)
  File "/usr/lib/python2.6/site-packages/PasteDeploy-1.5.0-py2.6.egg/paste/deploy/loadwsgi.py", line 620, in get_context
    object_type, name=name)
  File "/usr/lib/python2.6/site-packages/PasteDeploy-1.5.0-py2.6.egg/paste/deploy/loadwsgi.py", line 646, in find_egg_entry_point
    possible.append((entry.load(), protocol, entry.name))
  File "/usr/lib/python2.6 ...
(more)
2013-06-28 16:42:24 -0600 received badge  Editor (source)
2013-06-28 16:41:31 -0600 asked a question Syntax with tempauth

Hello,

I have tempauth in my /etc/proxy-server.conf setup

[pipeline:main]
#pipeline = catch_errors healthcheck cache authtoken swiftauth proxy-server
pipeline = catch_errors cache tempauth proxy-server 

[filter:tempauth]
use = egg:swift#tempauth
swift = admin:admin
password = swift
privileges = admin .admin .reseller_admin

i started the services on my proxy node with <swift-init [main="" rest]="" start="">, and I don't know what's the syntax to use for tempauth with <swift> and <curl> commands. Can someone please help? I am really new to OpenStack - Swift.

and I don't have keystone setup, reason is that i want to keep things simple as I am a newbie.

Thanks in advance!!

-Jimmy

2013-06-28 14:03:59 -0600 received badge  Popular Question (source)
2013-06-27 16:40:38 -0600 asked a question couldn't connect to host after setup swift

Hello Swift Guru,

I had just done setup the swift on my proxy and storage nodes. When trying to run cURL and swift for verification and I am getting "couldn't connecto host". I am using "TempAuth" as an authentication method, not sure the syntax i am using is correct, below is the syntax. Can someone please help me out?

hostname swift]$ curl -i -H 'X-Auth-Key: swift' -H 'X-Auth-User: admin:admin' http://localhost:8080/auth/v2.0 curl: (7) couldn't connect to host

does the port 8080 is listening? i don't see it under <netstat -pl="">

Thanks, Jimmy

2013-06-25 11:06:31 -0600 received badge  Famous Question (source)
2013-06-23 10:54:01 -0600 received badge  Notable Question (source)
2013-06-22 06:57:14 -0600 received badge  Popular Question (source)
2013-06-20 13:27:59 -0600 asked a question How to solve broken dependencies for Swift RPM packages?

yum install has lot of python dependencies, can someone please help?

Error: Package: 1:python-keystoneclient-0.2.3-4.el6.noarch (epel-openstack-grizzly)
           Requires: python-argparse
Error: Package: 1:python-oslo-config-1.1.0-1.el6.noarch (epel-openstack-grizzly)
           Requires: python-argparse
Error: Package: openstack-swift-1.8.0-2.el6.noarch (epel-openstack-grizzly)
           Requires: openstack-swift-plugin-swift3
Error: Package: 1:python-keystoneclient-0.2.3-4.el6.noarch (epel-openstack-grizzly)
           Requires: python-prettytable
Error: Package: 1:python-keystoneclient-0.2.3-4.el6.noarch (epel-openstack-grizzly)
           Requires: python-requests >= 0.8.8
Error: Package: openstack-swift-1.8.0-2.el6.noarch (epel-openstack-grizzly)
           Requires: python-netifaces
Error: Package: openstack-swift-1.8.0-2.el6.noarch (epel-openstack-grizzly)
           Requires: python-eventlet >= 0.9.8
Error: Package: 1:python-keystoneclient-0.2.3-4.el6.noarch (epel-openstack-grizzly)
           Requires: python-keyring
Error: Package: openstack-swift-1.8.0-2.el6.noarch (epel-openstack-grizzly)
           Requires: python-paste-deploy1.5
Error: Package: 1:python-keystoneclient-0.2.3-4.el6.noarch (epel-openstack-grizzly)
           Requires: python-iso8601 >= 0.1.4
Error: Package: openstack-swift-1.8.0-2.el6.noarch (epel-openstack-grizzly)
           Requires: python-greenlet >= 0.3.1
Error: Package: openstack-swift-1.8.0-2.el6.noarch (epel-openstack-grizzly)
           Requires: pyxattr
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest
[root@hostname16 ~]#
2013-06-18 21:35:12 -0600 received badge  Student (source)
2013-06-18 18:49:40 -0600 asked a question swift rpm and installation

can someone please point me to where i can download the rpm for swift?

thanks, jimmy

2013-06-18 15:11:28 -0600 answered a question Swift installation

I just realized the packages are not on our yum repo. Does anyone where to get the rpms for below?

Loading support for Red Hat kernel ABI Setting up Install Process No package openstack-swift available. No package openstack-swift-proxy available. No package openstack-swift-account available. No package openstack-swift-container available. No package openstack-swift-object available.

thanks, jimmy

2013-06-18 14:40:52 -0600 asked a question Swift installation

I am trying to yum install the openstack-swift and getting "no packages available". Can someone please help?

[root@hostname16 ~]# yum install openstack-swift openstack-swift-proxy openstack-swift-account openstack-swift-container openstack-swift-object memcached Loaded plugins: aliases, changelog, downloadonly, kabi, presto, product-id, refresh-packagekit, security, subscription-manager, : tmprepo, verify, versionlock Updating certificate-based repositories.

This system has been registered to Red Hat Subscription Management, but has no subscriptions applied. Please use subscription-manager in order to enable access to security and other critical updates.

Loading support for Red Hat kernel ABI Setting up Install Process No package openstack-swift available. No package openstack-swift-proxy available. No package openstack-swift-account available. No package openstack-swift-container available. No package openstack-swift-object available. Package memcached-1.4.4-3.el6.x86_64 already installed and latest version Nothing to do [root@hostname16 ~]#